<template>
  <main id="contribute">
    <div class="title-block">
      <h1>
        <strong>
          {{ $gettext('Contribute on PeerTube') }}
        </strong>
      </h1>

      <div class="small-separator"></div>

      <p class="explanation">
        {{ $gettext('PeerTube is a free/open-source software: all contributions are welcome to continue to improving it') }}
      </p>
    </div>

    <div class="jpt-container cards d-flex justify-content-center flex-wrap">

      <div class="card">
        <IconSuggest></IconSuggest>

        <h2>
          <SafeHTML>
            {{ $gettext('Suggest an <strong>idea</strong> or <strong>improvement</strong>', true) }}
          </SafeHTML>
        </h2>

        <div class="small-separator"></div>

        <p>
          <strong>{{ $gettext('No technical skills are required!') }}</strong>
        </p>

        <p class="mb-4">
          {{ $gettext('Vote for your favorite ideas or communicate your own suggestions, report a problem...') }}
        </p>

        <a target="_blank" rel="noopener noreferrer" href="https://ideas.joinpeertube.org/" class="jpt-secondary-button jpt-link-button">
          <span>{{ $gettext('Share an idea') }}</span>
        </a>
      </div>

      <div class="card card-main">
        <IconDonate></IconDonate>

        <h2>
          <SafeHTML>
            {{ $gettext('Donate to <strong>Framasoft</strong>', true) }}
          </SafeHTML>
        </h2>

        <div class="small-separator"></div>

        <p>
          <strong>{{ $gettext('We don\'t make money by developing PeerTube.') }}</strong>
        </p>

        <p>
          <SafeHTML>
            {{ $gettext('It is a project supported by Framasoft, a French non profit recognized as being of <strong>general interest</strong> and <strong>funded 90% by your donations</strong>.', true) }}
          </SafeHTML>
        </p>

        <p class="mb-4">
          <SafeHTML>
            {{ $gettext('It\'s the reason why all your contributions are <strong>essential</strong> to help us to maintain PeerTube!', true) }}
          </SafeHTML>
        </p>

        <a target="_blank" rel="noopener noreferrer" href="https://support.joinpeertube.org" class="jpt-primary-button jpt-link-button">
          <span>{{ $gettext('Donate') }}</span>
        </a>
      </div>

      <div class="card">
        <IconDevelop></IconDevelop>

        <h2>
          <SafeHTML>
            {{ $gettext('Develop the <strong>software</strong>', true) }}
          </SafeHTML>
        </h2>

        <div class="small-separator"></div>

        <p>{{ $gettext('You can help us to:') }}</p>

        <ul class="mb-4">
          <li>
            <SafeHTML>
              {{ $gettext('<strong>Translate the texts</strong> of the platform', true) }}
            </SafeHTML>
          </li>

          <li>
            <SafeHTML>
              {{ $gettext('Write PeerTube <strong>documentation</strong>', true) }}
            </SafeHTML>
          </li>

          <li>
            <SafeHTML>
              {{ $gettext('Modify the code of <a target="_blank" rel="noopener noreferrer" href="https://github.com/Chocobozzz/PeerTube" class="jpt-router-link">PeerTube</a> or other related software (<a target="_blank" rel="noopener noreferrer" href="https://framagit.org/framasoft/peertube/search-index" class="jpt-router-link">Sepia Search</a>, <a target="_blank" rel="noopener noreferrer" href="https://framagit.org/framasoft/peertube/joinpeertube" class="jpt-router-link">JoinPeerTube</a>...)', true) }}
            </SafeHTML>
          </li>

          <li>
            <SafeHTML>
              {{ $gettext('Develop a PeerTube <strong>plugin/theme</strong>', true) }}
            </SafeHTML>
          </li>
        </ul>

        <a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/contribute/getting-started" class="jpt-secondary-button jpt-link-button">
          <span>{{ $gettext('More information') }}</span>
        </a>
      </div>

    </div>

  </main>
</template>

<script>
  import { defineComponent } from 'vue'

  import { useGettext } from 'vue3-gettext'
  import { useHead } from '@vueuse/head'

  import { buildHead } from '../shared/head'

  import IconDevelop from '../svg/contribute/develop.svg'
  import IconDonate from '../svg/contribute/donate.svg'
  import IconSuggest from '../svg/contribute/suggest.svg'

  export default defineComponent({
    components: {
      IconDevelop,
      IconDonate,
      IconSuggest
    },

    setup () {
      const { $gettext } = useGettext()

      return useHead(buildHead({
        title: $gettext('Contribute on PeerTube'),

        url: import.meta.env.VITE_URL + '/contribute'
      }))
    }
  })
</script>

<style lang="scss" scoped>
  @import '../scss/_variables.scss';
  @import '../scss/_mixins.scss';
  @import '../scss/bootstrap-mixins.scss';

  #contribute {
    .card {
      display: flex;
      flex-direction: column;

      flex-shrink: 0;

      margin: 10px;
      padding: 40px;
      width: 380px;

      ul {
        padding-inline-start: 1.5rem;
      }

      svg {
        max-width: 55px;
        margin-bottom: 1.5rem;
      }

      .jpt-primary-button,
      .jpt-secondary-button {
        margin-top: auto;
        width: 100%;
        text-align: center;
        align-self: flex-end;
      }
    }
  }
</style>
